# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Term/ReadKey.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    MIDI-ALSA
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt7_12

Summary:    ALSA library access for Perl, plus some interface functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/MIDI-ALSA
Source0:    https://cpan.metacpan.org/authors/id/P/PJ/PJB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl-devel
BuildRequires: libalsa-devel
Source44: import.info
%description
This module offers a Perl interface to the ALSA library. It is a
call-compatible translation into Perl of the Lua module midialsa
which is in turn based on the Python modules alsaseq.py and alsamidi.py
by Patricio Paez.

It also offers some functions to translate events from and to the event
format used in Sean Burke's MIDI-Perl module.

Nothing is exported by default, but all the functions and constants can be
exported, e.g.: use MIDI::ALSA(client, connectfrom, connectto, id, input,
output); use MIDI::ALSA(':CONSTS');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc Changes META.yml  README examples
%{perl_vendor_archlib}/MIDI/ALSA.pm
%{perl_vendor_archlib}/auto/MIDI/ALSA/ALSA.so


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.22-alt7_12
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt7_11
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.22-alt6_11
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt6_10
- update by mgaimport

* Wed Oct 20 2021 Igor Vlasenko <viy@altlinux.org> 1.22-alt6_9
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt6_8
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt5_8
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.22-alt4_8
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.22-alt3_8
- update by mgaimport

* Sun Apr 19 2020 Igor Vlasenko <viy@altlinux.ru> 1.22-alt3_7
- dropped arybase.pm dependency

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.22-alt2_7
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.22-alt2_6
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.22-alt2_5
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1_5
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1_4
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1_2
- new version

